<?php
/*
+-----------------------------------------+
| Crawlers Panel For PHP-Fusion
+-----------------------------------------+
+-----------------------------------------+
| Copyright © 2009 by Luben Kirov 
| Web: http://www.sharky-web.com
| Email: webmaster@sharky-web.com
|-----------------------------------------+
==================================================================================
|                                                                                |
|    This program is free software: you can redistribute it and/or modify        |
|    it under the terms of the GNU Affero General Public License as              |
|    published by the Free Software Foundation, either version 3 of the          |
|    License, or (at your option) any later version.                             |
|                                                                                |
|    This program is distributed in the hope that it will be useful,             |
|    but WITHOUT ANY WARRANTY; without even the implied warranty of              |
|    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               |
|    GNU Affero General Public License for more details.                         |
|                                                                                |
|   You should have received a copy of the GNU Affero General Public License     |
|    along with this program.  If not, see <http://www.gnu.org/licenses/>.       |
|                                                                                |
==================================================================================
|-----------------------------------------+
| PHP-Fusion
| Copyright © 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
|-----------------------------------------+
*/

?>
<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."crawlers_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."crawlers_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."crawlers_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."crawlers_panel/locale/English.php";
}

// Define all agents here
$sites = array("Google" => 0, "Yahoo" => 0, "msnbot" => 0);
// Number of minutes before agent is removed from database
$tmin = 15; 

openside($locale['cra_title']);



reset($sites);
// Initiate is_crawlers and send each agent in sites, then check if cralers is in database if not put in
while (list($key, $val) = each($sites)) {

  if(((preg_match("/$key/", $_SERVER['HTTP_USER_AGENT']) > 0) ? true : false) == true){
    $search = dbquery("SELECT * FROM ".crawlers_panel_TABLE." WHERE ip='".$_SERVER['REMOTE_ADDR']."'");
    if(dbrows($search) == 0){
      $ins = dbquery("INSERT INTO ".crawlers_panel_TABLE." (date, crawler, ip) VALUES ('".time()."', '".$key."', '".$_SERVER['REMOTE_ADDR']."')");
    }
  }
}

// Get number of crawlers from database and check if time expired if so delete.
$result = dbquery("SELECT * FROM ".crawlers_panel_TABLE."");
while ($data = dbarray($result)) {
  if(($data['date'] + ( $tmin * 60)) < time()){
  $del = dbquery("DELETE FROM ".crawlers_panel_TABLE." WHERE id = '".$data['id']."'");
  }else{ 
  $sites[$data['crawler']] = $sites[$data['crawler']] + 1;
  }
}

// Print the Results
reset($sites);
while (list($key1, $val1) = each($sites)) {
  echo $key1." (".$val1."), ";
}
closeside();
?>
