<?php
/*
+-----------------------------------------+
| Crawlers Panel For PHP-Fusion
+-----------------------------------------+
+-----------------------------------------+
| Copyright © 2009 by Luben Kirov 
| Web: http://www.sharky-web.com
| Email: webmaster@sharky-web.com
|-----------------------------------------+
==================================================================================
|                                                                                |
|    This program is free software: you can redistribute it and/or modify        |
|    it under the terms of the GNU Affero General Public License as              |
|    published by the Free Software Foundation, either version 3 of the          |
|    License, or (at your option) any later version.                             |
|                                                                                |
|    This program is distributed in the hope that it will be useful,             |
|    but WITHOUT ANY WARRANTY; without even the implied warranty of              |
|    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               |
|    GNU Affero General Public License for more details.                         |
|                                                                                |
|   You should have received a copy of the GNU Affero General Public License     |
|    along with this program.  If not, see <http://www.gnu.org/licenses/>.       |
|                                                                                |
==================================================================================
|-----------------------------------------+
| PHP-Fusion
| Copyright © 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
|-----------------------------------------+
*/

?>
<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."crawlers_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."crawlers_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."crawlers_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."crawlers_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['cra_title'];
$inf_description = $locale['cra_desc'];
$inf_version = "1.0";
$inf_developer = "Luben Kirov(Sharky)";
$inf_email = "webmaster@sharky-web.com";
$inf_weburl = "http://www.sharky-web.com";

$inf_folder = "crawlers_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = crawlers_panel_TABLE." (
id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
date INT(7) UNSIGNED DEFAULT '0' NOT NULL,
crawler VARCHAR(200) DEFAULT '' NOT NULL,
ip VARCHAR(50) DEFAULT '' NOT NULL,
PRIMARY KEY (id)
) TYPE=MyISAM;";

?>
